/*

Access to Standard C stdlib.h

*/

#define _POSIX_SOURCE 1

#ifndef _C_STDLIB_H_
#define _C_STDLIB_H_


#include "eiffel.h"
#include <errno.h>

/* dynamic memory */

EIF_POINTER posix_calloc(EIF_INTEGER nmemb, EIF_INTEGER size);
void posix_free(EIF_POINTER ptr);
EIF_POINTER posix_malloc(EIF_INTEGER size);
EIF_POINTER posix_realloc(EIF_POINTER ptr, EIF_INTEGER size);

/* miscellaneous */

void posix_abort();
void posix_exit(EIF_INTEGER status);
EIF_POINTER posix_getenv(EIF_POINTER name);
EIF_INTEGER posix_system(EIF_POINTER command);


#endif /* _C_STDLIB_H_ */
