indexing

   description: "Class that covers (ahem) the POSIX group database (/etc/group)."

   author: "Berend de Boer"
   date: "$Date: Mon, 07 Aug 2000 12:13:02 +0200 $"
   revision: "$Revision: 1.2 $"

class 

   POSIX_GROUP_DATABASE

inherit
   
   POSIX_BASE

   PAPI_GRP


feature -- queries
   
   is_existing_gid (gid: INTEGER): BOOLEAN is
         -- Returns True if this gid exists in /etc/passwd
         -- (or through NIS or whatever mechanisms that might be in use)
      local
         p: POINTER
      do
         p := posix_getgrgid (gid)
         Result := p /= default_pointer
      end
   
   is_existing_group (group: STRING): BOOLEAN is
         -- Returns True if this name exists in /etc/group
         -- (or through NIS or whatever mechanisms that might be in use)
      local
         p: POINTER
      do
         p := posix_getgrnam (sh.string_to_pointer (group))
         Result := p /= default_pointer
      end


end -- class POSIX_GROUP_DATABASE
