indexing

   description: "Class that covers Posix pipe."

   author: "Berend de Boer"
   date: "$Date: Fri, 13 Oct 2000 13:36:48 +0200 $"
   revision: "$Revision: 1.5 $"

class 

   POSIX_PIPE

inherit

   BASE_PIPE
      redefine
         read_descriptor,
         write_descriptor
      end

   POSIX_BASE
   
   PAPI_UNISTD

   
creation

   make
   

feature -- creation   

   make is
      require
         -- the size of our integers match with the C: int fildes[2]
      local
         fildes: ARRAY[INTEGER]
      do
         create fildes.make(0,1)
         safe_call (posix_pipe (ah.integer_array_to_pointer (fildes)))
         create read_descriptor.attach_to_fd (fildes.item(0))
         create write_descriptor.attach_to_fd (fildes.item(1))
      end


feature -- the pipe
   
   read_descriptor: POSIX_FILE_DESCRIPTOR

   write_descriptor: POSIX_FILE_DESCRIPTOR
   
   
end -- class POSIX_PIPE
