indexing

   description: "Standard C text file."

   author: "Berend de Boer"
   date: "$Date: Sat, 07 Oct 2000 14:31:08 +0200 $";
   revision: "$Revision: 1.4 $"

class
   
   STDC_TEXT_FILE
   
inherit 

   STDC_FILE

creation

   create_read_write,
   create_write,
   open,
   open_append,
   open_read,
   open_read_write,
   attach_to_stream
   
   
feature -- text specific routines

   chop is
         -- remove newline character (if any) from `ast_string'
      do
         if last_string.item (last_string.count) = '%N' then
            last_string.remove (last_string.count)
         end
      end
   
   
   put_nl, put_newline, write_nl, write_newline is
         -- write a single newline
      do
         write_string ("%N")
      end


feature {NONE}
   
   set_mode (a_mode: STRING) is
         -- set text mode
      local
         c: CHARACTER
      do
         c := a_mode.item (a_mode.count) 
         inspect c 
         when  'b',  'B' then
            raise ("It is not allowed to specify the binary flag for %
                   %text files.")
         when 't', 'T' then
            -- already ok
            mode := a_mode
         else
            -- it's not sure if every POSIX system allows this
            -- mode := a_mode + "t"
            mode := a_mode
         end
      end


end -- class STDC_TEXT_FILE
