indexing

   description: "Test Posix pause."

   author: "Berend de Boer"
   date: "$Date: Thu, 12 Oct 2000 20:41:01 +0200 $"
   revision: "$Revision: 1.1 $"

class 

   TEST_P_PAUSE


inherit
   
   POSIX_FORK_ROOT
   

creation
   
   make,
   make_child
   

feature

   make is
      local
         child: TEST_P_PAUSE
         signal: POSIX_SIGNAL
      do
         print ("Begin test pause.%N")
         
         -- necessary under SmallEiffel
         ignore_child_stop_signal
         
         -- no Eiffel rescue please for sighups
--           create signal.make (SIGHUP)
--           signal.set_default_action
--           signal.apply
         
         create child.make_child
         fork (child)
         
         print ("Waiting a bit before sending signal.%N")
         sleep (4)
         child.kill (SIGHUP)
         
         child.wait_for (True)
         
         print ("End test pause.%N")
      end
   
   make_child is
      do
      end
   
   
feature -- forked child   
   
   execute is
      do
         print ("Child starts to snooze...%N")
         pause
         -- we do not come here as we should have catched the signal 
         -- with our own handler, not yet implemented.
         print ("Paused for: ")
         print (clock)
         print (" clock ticks.%N")
      end
   
         
end -- class TEST_P_PAUSE
